%define anolis_release 1
Name:           perl-Test-Pod
Version:        1.52
Release:        %{anolis_release}%{?dist}
Summary:        Test POD files for correctness
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Test-Pod
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Test-Pod-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(warnings)
BuildRequires:  perl(strict)
# Run-time
BuildRequires:  perl(File::Find)
BuildRequires:  perl(Pod::Simple) >= 3.05
BuildRequires:  perl(Test::Builder)
# Tests
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Test::Builder::Tester) >= 1.02
BuildRequires:  perl(Test::More) >= 0.62
Requires:       perl(File::Find)
Requires:       perl(Pod::Simple) >= 3.05
Requires:       perl(Test::More) >= 0.62

# Remove under-specified dependcies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Pod::Simple\\)$

%description
Check POD files for errors or warnings in a test file, using Pod::Simple to do
the heavy lifting.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Test-Pod-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}

%check
LC_ALL=C make test

%files
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Pod.3pm*

%files doc
%doc Changes README

%changelog
* Tue Jan 31 2023 Funda Wang <fundawang@yeah.net> - 1.52-1
- Import package for anolis 23
